# Pages

For general information on theme project pages, visit [Theme Pages](https://docs.wirebootstrap.com/wirebootstrap/working-with-themes/pages).  The information below is specific to the pages in Gentelella for WireBootstrap.

### Component Containers

The  pages that demonstrate the use of WireBootstrap components inside the theme have containers to which each component is bound.   These are HTML panels that give the component a border and options specific to the theme.

The example below is an excerpt from the `filters-select.html` page which highlights the Bootstrap Select component.  The `x_content` class is a Gentelella theme container class.  The `select` element is where the component will be bound on the page.

```markup
<!-- Begin Content -->
<div class="x_content">
  
  <select id="select"></select>

</div>
<!-- End Content -->
```

Visit there are empty pages and panels that can be used as a starting point [here](broken://pages/-MN6jaEAUwPZeNW6no4Y).

### Menus

The menus on each page are dynamically generated using WireBootstrap's Page Menu for Gentelella component.  The configuration for the menu items is stored in a configuration file located at `\lib\gentelella\gentelella-menu.json`.  For details on using the component, visit [WireBootstrap for Gentelella Page Menu](broken://pages/-MMmkWVkFQygSGMtdxji).

```javascript
new wire.gentelella.menu().render("#gentelella-menu", {
  configUrl: "../../lib/gentelella/gentelella-menu.json",
  currentPage: "Select"            
});
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wirebootstrap.com/gentelella/pages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
